Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iserve.ipc
Class IServeCommServer.DefaultIdentityChecker

    java.lang.Object
      ix.iserve.ipc.IServeCommServer.IdentityChecker
          ix.iserve.ipc.IServeCommServer.DefaultIdentityChecker

Enclosing class:
  IServeCommServer

    protected class IServeCommServer.DefaultIdentityChecker

extends IServeCommServer.IdentityChecker

Field Summary

Fields inherited from class ix.iserve.ipc.IServeCommServer.IdentityChecker
`hostAddr, hostName, password, user`

Constructor Summary
`IServeCommServer.DefaultIdentityChecker(IServeCommServer.User user)`

Method Summary
`protected void` | `checkMessageSource(MessageWrapper w)` Checks whether the message came from an acceptable source.

Methods inherited from class ix.iserve.ipc.IServeCommServer.IdentityChecker
`changingIdentityCheckerFrom, checkAddMessage, checkMessageHost, checkMessagePassword, checkMessageUUID, checkNextMessageRequest, checkRegisterRequest, checkSendRequest, init, status`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IServeCommServer.DefaultIdentityChecker

    IServeCommServer.DefaultIdentityChecker(IServeCommServer.User user)

Method Detail

### checkMessageSource

    protected void checkMessageSource(MessageWrapper w)

  Description copied from class: `IServeCommServer.IdentityChecker`
  Checks whether the message came from an acceptable source. If an agent (name) starts sending from a different host, for example, then this method might object unless something (such as a password) shows that it is the same agent rather than an impostor.

  This method is typically called by the public 'check' methods that check the user who sent the request to the server.

  Overrides:
    `checkMessageSource` in class `IServeCommServer.IdentityChecker`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD